function S=gitinfo()
% FUNCTION fc_graphics4mesh.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2022 F. Cuvelier
%
  S=struct('name','fc-graphics4mesh', 'tag','0.1.5.a','commit','b994b7b2a57399848541708cae3c33f79787cb1a','date', '2022-12-19','time','08-28-40','status',0);return; % automatically updated
  rep=fc_graphics4mesh.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-graphics4mesh','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
