function plotmeshinfo(Th)
  assert( fc_simesh.is_siMesh(Th) )
  assert(Th.dim<=3)
  eval(sprintf('plotmeshinfo_dim%d_d%d(Th)',Th.dim,Th.d))
end

function plotmeshinfo_dim2_d2(Th)
  figure()
  Th.plotmesh('inlegend',true);
  axis image
  fc_graphics4mesh.legend('Location','eastoutside')
  
  figure()
  Th.plotmesh('color','LightGray')
  hold on;axis image;axis off
  Th.plotmesh('d',1,'Linewidth',2,'inlegend',true);
  fc_graphics4mesh.legend('Location','eastoutside')
end

function plotmeshinfo_dim3_d2(Th)
  figure()
  Th.plotmesh('inlegend',true);
  axis image
  fc_graphics4mesh.legend('Location','eastoutside')
  
  figure()
  Th.plotmesh('color','LightGray')
  hold on;axis image;axis off
  Th.plotmesh('d',1,'Linewidth',2,'inlegend',true);
  fc_graphics4mesh.legend('Location','eastoutside')
end

function plotmeshinfo_dim3_d3(Th)
  figure()
  Th.plotmesh('inlegend',true)
  axis image
  fc_graphics4mesh.legend('Location','EastOutside')

  figure()
  Th.plotmesh('d',2,'inlegend',true);
  axis image;axis off
  fc_graphics4mesh.legend('Location','EastOutside')

  figure()
  Th.plotmesh('d',1,'inlegend',true);
  axis image;axis off
  fc_graphics4mesh.legend('Location','EastOutside')
end

